package cn.com.infosec.x509;

import cn.com.infosec.util.Selector;
import java.security.InvalidParameterException;
import java.security.cert.PKIXBuilderParameters;
import java.security.cert.PKIXParameters;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

public class ExtendedPKIXBuilderParameters extends ExtendedPKIXParameters {
   private int maxPathLength = 5;
   private Set excludedCerts;

   public ExtendedPKIXBuilderParameters(Set trustAnchors, Selector targetConstraints) {
      super(trustAnchors);
      this.excludedCerts = Collections.EMPTY_SET;
      this.setTargetConstraints(targetConstraints);
   }

   public static ExtendedPKIXParameters getInstance(PKIXParameters param0) {
      // $FF: Couldn't be decompiled
   }

   public Set getExcludedCerts() {
      return Collections.unmodifiableSet(this.excludedCerts);
   }

   public void setExcludedCerts(Set excludedCerts) {
      if (excludedCerts == null) {
         Set var10000 = Collections.EMPTY_SET;
      } else {
         ExtendedPKIXBuilderParameters var2 = this;
         HashSet var3;
         var3 = new HashSet.<init>(excludedCerts);
         var2.excludedCerts = var3;
      }

   }

   public void setMaxPathLength(int maxPathLength) {
      if (maxPathLength >= -1) {
         this.maxPathLength = maxPathLength;
      } else {
         throw new InvalidParameterException("The maximum path length parameter can not be less than -1.");
      }
   }

   public int getMaxPathLength() {
      return this.maxPathLength;
   }

   protected void setParams(PKIXParameters params) {
      super.setParams(params);
      if (params instanceof ExtendedPKIXBuilderParameters) {
         ExtendedPKIXBuilderParameters var2;
         this.maxPathLength = (var2 = (ExtendedPKIXBuilderParameters)params).maxPathLength;
         this.excludedCerts = new HashSet(var2.excludedCerts);
      }

      if (params instanceof PKIXBuilderParameters) {
         this.maxPathLength = ((PKIXBuilderParameters)params).getMaxPathLength();
      }

   }

   public Object clone() {
      ExtendedPKIXBuilderParameters var6;
      ExtendedPKIXBuilderParameters var10002;
      label29: {
         Exception var10000;
         label31: {
            boolean var10001;
            try {
               var6 = new ExtendedPKIXBuilderParameters;
            } catch (Exception var3) {
               var10000 = var3;
               var10001 = false;
               break label31;
            }

            var10002 = var6;

            ExtendedPKIXBuilderParameters var10003;
            ExtendedPKIXBuilderParameters var10004;
            Set var10005;
            try {
               var10003 = var10002;
               var10002 = this;
               var10004 = this;
               var10005 = this.getTrustAnchors();
            } catch (Exception var2) {
               var10000 = var2;
               var10001 = false;
               break label31;
            }

            Set var4 = var10005;

            try {
               var10003.<init>(var4, var10004.getTargetConstraints());
               break label29;
            } catch (Exception var1) {
               var10000 = var1;
               var10001 = false;
            }
         }

         Exception var5 = var10000;
         throw new RuntimeException(var5.getMessage());
      }

      var6.setParams(var10002);
      return var6;
   }
}
